
define command {
	command_name			check_nrpe_win_app_shibboleth
	command_line			$USER1$/check_nrpe -p $USER10$ -t 60 -H $HOSTADDRESS$ -c check_shibboleth
}

define command {
	command_name			check_nrpe_win_counters
	command_line			$USER1$/check_nrpe -u -t $USER3$ -p $USER10$ -H $HOSTADDRESS$ -c check_win_counters -a $ARG1$ "$ARG2$" "$ARG3$" '$ARG4$' '$ARG5$' '$ARG6$'
}

define command {
	command_name			check_nrpe_win_counters_test
	command_line			$USER1$/check_nrpe -t $USER3$ -p $USER10$ -H $HOSTADDRESS$ -c check_win_counters -a "$ARG1$" "$ARG2$" "$ARG3$" '$ARG4$' '$ARG5$' '$ARG6$'
}

define command {
	command_name			check_nrpe_win_cpu_old
	command_line			$USER1$/check_nrpe_win_cpu_wrapper $HOSTADDRESS$ "$NAGIOS_SERVICEDURATION$" "$ARG1$" "$ARG2$" "$ARG3$"
}

define command {
	command_name			check_nrpe_win_cpu
	command_line			$USER1$/check_nrpe -t $USER3$ -p $USER10$ -H $HOSTADDRESS$ -c checkCPU -a warn=$ARG1$ crit=$ARG2$ $ARG3$ ShowAll=long
}

define command {
	command_name			check_nrpe_win_cpu_v3
	command_line			$USER1$/check_nrpe_v3 -p $USER10$ -H $HOSTADDRESS$ -E -d 0 -t $USER3$:UNKNOWN -A /usr/local/monitoring/etc/net-ca-chain.pem -L HIGH:MEDIUM -S TLSv1.2+ -c checkCPU -a warn=$ARG1$ crit=$ARG2$ $ARG3$ ShowAll=long
}

define command {
	command_name			check_nrpe_win_disk_old
	command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c get_disk -a "$HOSTADDRESS$" "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_win_disk
	command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c CheckDriveSize -a ShowAll=long MaxWarn=$ARG1$ MaxCrit=$ARG2$ $ARG3$
}

define command {
	command_name			check_nrpe_win_disk_v3
	command_line			$USER1$/check_nrpe_v3 -p $USER10$ -H $HOSTADDRESS$ -E -d 0 -t $USER3$:UNKNOWN -A /usr/local/monitoring/etc/net-ca-chain.pem -L HIGH:MEDIUM -S TLSv1.2+ -c CheckDriveSize -a ShowAll=long MaxWarn=$ARG1$ MaxCrit=$ARG2$ $ARG3$
}

define command {
	command_name			check_nrpe_win_all_disks
	command_line			$USER1$/check_nrpe_wrapper_output_convert $HOSTADDRESS$ CheckDriveSize '-a ShowAll=long CheckAllOthers FilterType=FIXED FilterType=REMOTE Drive=C: MaxWarn=$ARG1$ MaxCrit=$ARG2$' "sed "'s/,/<br>
\n\n/g'
}

define command {
	command_name			check_nrpe_win_all_disks_except
	command_line			$USER1$/check_nrpe_wrapper_output_convert $HOSTADDRESS$ CheckDriveSize '-a ShowAll=long CheckAllOthers FilterType=FIXED FilterType=REMOTE MaxWarn=$ARG1$ MaxCrit=$ARG2$ $ARG3$' "sed "'s/,/<br>
\n\n/g'
	##command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c CheckDriveSize -a ShowAll=long CheckAllOthers FilterType=FIXED FilterType=REMOTE MaxWarn=$ARG1$ MaxCrit=$ARG2$ $ARG3$
}

define command {
	command_name			check_nrpe_win_disk_transfers
	command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c get_disktransfers -a "$HOSTADDRESS$" "Name=$ARG1$" "$ARG2$" "$ARG3$"
}

define command {
	command_name			check_nrpe_win_maestro_stdlistsz
	command_line			$USER1$/check_nrpe -t 60 -H $HOSTADDRESS$ -p $USER10$ -c check_tws_stdlistsz
}

define command {
	command_name			check_nrpe_win_mem_old
	command_line			$USER1$/check_nrpe_win_mem_wrapper $HOSTADDRESS$ "$NAGIOS_SERVICEDURATION$""$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_win_memory_pages
	command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c get_swapping -a "$HOSTADDRESS$" "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_win_mem
	command_line			$USER1$/check_nrpe -t $USER3$ -H $HOSTADDRESS$ -p $USER10$ -c checkMem -a type=$ARG1$ MaxWarn=$ARG2$ MaxCrit=$ARG3$ ShowAll=long
}

define command {
	command_name			check_nrpe_win_mem_v3
	command_line			$USER1$/check_nrpe_v3 -p $USER10$ -H $HOSTADDRESS$ -E -d 0 -t $USER3$:UNKNOWN -A /usr/local/monitoring/etc/net-ca-chain.pem -L HIGH:MEDIUM -S TLSv1.2+ -c checkMem -a type=$ARG1$ MaxWarn=$ARG2$ MaxCrit=$ARG3$ ShowAll=long
}

define command {
	command_name			check_nrpe_win_proc
	command_line			$USER1$/check_nrpe -H $HOSTADDRESS$ -t $USER3$ -p $USER10$ -c get_process -a "$HOSTADDRESS$" "$ARG1$" "$ARG2$" "$ARG3$"
}

define command {
	command_name			check_nrpe_win_service_old
	command_line			$USER1$/check_nrpe -H $HOSTADDRESS$ -t $USER3$ -p $USER10$ -c get_service -a "$HOSTADDRESS$" "$ARG1$"
}

define command {
	command_name			check_nrpe_win_service
	command_line			$USER1$/check_nrpe -H $HOSTADDRESS$ -t $USER3$ -p $USER10$ -c CheckServiceState -a ShowAll $ARG1$
}

define command {
	command_name			check_nrpe_win_service_v3
	command_line			$USER1$/check_nrpe_v3 -p $USER10$ -H $HOSTADDRESS$ -E -d 0 -t $USER3$:UNKNOWN -A /usr/local/monitoring/etc/net-ca-chain.pem -L HIGH:MEDIUM -S TLSv1.2+ -c CheckServiceState -a ShowAll $ARG1$
}

define command {
	command_name			check_nrpe_win_service_not_running
	command_line			$USER1$/check_win_service_norun.pl $HOSTADDRESS$ "$ARG1$"
}

define command {
	command_name			check_nrpe_win_tdpexcc
	command_line			$USER1$/check_win_tdpexcc_pu.pl $HOSTADDRESS$
}

define command {
	command_name			check_nrpe_win_tsm_backup_status
	command_line			$USER1$/check_nrpe -t $USER3$ -p $USER10$ -H $HOSTADDRESS$ -c check_tsm_backup_status -a '$ARG1$' '$ARG2$'
}

define command {
	command_name			check_nrpe_win_vss
	command_line			$USER1$/check_nrpe -t $USER3$ -p $USER10$ -H $HOSTADDRESS$ -c check_vss_writers
}

define command {
	command_name			check_nrpe_winsmtp_local_q
	command_line			$USER1$/check_nrpe -t 60 -H $HOSTADDRESS$ -p $USER10$ -c get_counter_rawcount -a "$HOSTADDRESS$" Win32_PerfRawData_SMTPSVC_SMTPServer 'Name=_Total' LocalQueueLength "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_winsmtp_local_retry_q
	command_line			$USER1$/check_nrpe -t 60 -H $HOSTADDRESS$ -p $USER10$ -c get_counter_rawcount -a "$HOSTADDRESS$" Win32_PerfRawData_SMTPSVC_SMTPServer 'Name=_Total' LocalRetryQueueLength "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_winsmtp_remote_q
	command_line			$USER1$/check_nrpe -t 60 -H $HOSTADDRESS$ -p $USER10$ -c get_counter_rawcount -a "$HOSTADDRESS$" Win32_PerfRawData_SMTPSVC_SMTPServer 'Name=_Total' RemoteQueueLength "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_nrpe_winsmtp_remote_retry_q
	command_line			$USER1$/check_nrpe -t 60 -H $HOSTADDRESS$ -p $USER10$ -c get_counter_rawcount -a "$HOSTADDRESS$" Win32_PerfRawData_SMTPSVC_SMTPServer 'Name=_Total' RemoteRetryQueueLength "$ARG1$" "$ARG2$"
}

define command {
	command_name			check_snmp_win_load
	command_line			$USER1$/check_snmp_load.pl -2 -T stand -f -H $HOSTADDRESS$ -C $USER7$ -t 35 -w $ARG1$ -c $ARG2$
}

define command {
	command_name			check_snmp_win_memory
	command_line			$USER1$/check_snmp_storage -H $HOSTADDRESS$ -C $USER7$ -t 120 --cache=30 -m Memory -q "Ram|VirtualMemory" -f -w $ARG1$ -c $ARG2$ -s
}

define command {
	command_name			check_snmp_win_service
	command_line			$USER1$/check_snmp_win.pl -H $HOSTADDRESS$ -2 -C $USER7$ -t 35 -n $ARG1$ 2>&1
}

